Vulnerability CVE-2010-4054


Published: 2010-10-23   Modified: 2012-02-13

Description:
The gs_type2_interpret function in Ghostscript allows remote attackers to cause a denial of service (incorrect pointer dereference and application crash) via crafted font data in a compressed data stream, aka bug 691043.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
Artifex -> Afpl ghostscript 
Artifex -> Ghostscript fonts 
Artifex -> Gpl ghostscript 

 References:
http://www.kb.cert.org/vuls/id/538191
http://ghostscript.com/pipermail/gs-cvs/2010-January/010333.html
https://rhn.redhat.com/errata/RHSA-2012-0095.html
http://security.gentoo.org/glsa/glsa-201412-17.xml
http://rhn.redhat.com/errata/RHSA-2012-0096.html

Copyright 2021, cxsecurity.com

 

Back to Top